Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.jimi.core.component
Class CompositeRenderer

    java.lang.Object
      |
      +--java.awt.Component
            |
            +--java.awt.Container
                  |
                  +--java.awt.Panel
                        |
                        +--com.sun.jimi.core.component.AbstractRenderer
                              |
                              +--com.sun.jimi.core.component.CompositeRenderer

public class CompositeRenderer
extends AbstractRenderer

See Also:
  Serialized Form

Inner classes inherited from class com.sun.jimi.core.component.AbstractRenderer
`AbstractRenderer.ResizeWatcher`

Field Summary
`JimiImageRenderer` | `primary`
`JimiImageRenderer` | `secondary`

Fields inherited from class com.sun.jimi.core.component.AbstractRenderer
`canvas, image, producer, raster`

Fields inherited from class java.awt.Component
`BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

Constructor Summary
`CompositeRenderer()`
`CompositeRenderer(JimiCanvas canvas, JimiImageRenderer primary, JimiImageRenderer secondary)`

Method Summary
`java.awt.Component` | `getContentPane()`
`void` | `render()`
`void` | `setImage(java.awt.Image image)`
`void` | `setImageProducer(java.awt.image.ImageProducer producer)`
`void` | `setPrimaryRenderer(JimiImageRenderer primary)`
`void` | `setRasterImage(JimiRasterImage raster)`
`void` | `setSecondaryRenderer(JimiImageRenderer secondary)`

Methods inherited from class com.sun.jimi.core.component.AbstractRenderer
`blankBackground, getImage, getPreferredSize, getRasterImage, paint, update`

Methods inherited from class java.awt.Panel
`addNotify`

Methods inherited from class java.awt.Container
`add, add, add, add, add, addContainerListener, addImpl, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getInsets, getLayout, getMaximumSize, getMinimumSize, insets, invalidate, isAncestorOf, layout, list, list, locate, minimumSize, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setFont, setLayout, validate, validateTree`

Methods inherited from class java.awt.Component
`action, add, addComponentListener, addFocusListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addPropertyChangeListener, addPropertyChangeListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, getBackground, getBounds, getBounds, getColorModel, getComponentOrientation, getCursor, getDropTarget, getFont, getFontMetrics, getForeground, getGraphics, getHeight, getInputContext, getInputMethodRequests, getLocale, getLocation, getLocation, getLocationOnScreen, getName, getParent, getPeer, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isDisplayable, isDoubleBuffered, isEnabled, isFocusTraversable, isLightweight, isOpaque, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, remove, removeComponentListener, removeFocusListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, reshape, resize, resize, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setForeground, setLocale, setLocation, setLocation, setName, setSize, setSize, setVisible, show, show, size, toString, transferFocus`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### primary

    public JimiImageRenderer primary

### secondary

    public JimiImageRenderer secondary

Constructor Detail

### CompositeRenderer

    public CompositeRenderer()

### CompositeRenderer

    public CompositeRenderer(JimiCanvas canvas,
                             JimiImageRenderer primary,
                             JimiImageRenderer secondary)

Method Detail

### setImage

    public void setImage(java.awt.Image image)

  Overrides:
    setImage in class AbstractRenderer

### setRasterImage

    public void setRasterImage(JimiRasterImage raster)

  Overrides:
    setRasterImage in class AbstractRenderer

### setImageProducer

    public void setImageProducer(java.awt.image.ImageProducer producer)

  Overrides:
    setImageProducer in class AbstractRenderer

### setPrimaryRenderer

    public void setPrimaryRenderer(JimiImageRenderer primary)

### setSecondaryRenderer

    public void setSecondaryRenderer(JimiImageRenderer secondary)

### getContentPane

    public java.awt.Component getContentPane()

  Overrides:
    getContentPane in class AbstractRenderer

### render

    public void render()

  Overrides:
    render in class AbstractRenderer

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD